package com.ruoyi.project.system.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 系统消息对象 sys_message
 *
 * @author ruoyi
 * @date 2022-05-26
 */
public class SysMessage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 标题 */
    @Excel(name = "标题")
    private String msgTitle;

    /** 类型 */
    @Excel(name = "类型")
    private String msgType;

    /** 公告内容 */
    @Excel(name = "公告内容")
    private String msgContent;

    /** 状态（0正常 1关闭） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=关闭")
    private String status;

    /** 接收者 */
    @Excel(name = "接收者")
    private Long userId;

    /** 是否已读 */
    @Excel(name = "是否已读")
    private Long isRead;

    /** 删除标识 */
    private Long delFlag;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setMsgTitle(String msgTitle)
    {
        this.msgTitle = msgTitle;
    }

    public Long getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Long delFlag) {
        this.delFlag = delFlag;
    }

    public String getMsgTitle()
    {
        return msgTitle;
    }
    public void setMsgType(String msgType)
    {
        this.msgType = msgType;
    }

    public String getMsgType()
    {
        return msgType;
    }
    public void setMsgContent(String msgContent)
    {
        this.msgContent = msgContent;
    }

    public String getMsgContent()
    {
        return msgContent;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setIsRead(Long isRead)
    {
        this.isRead = isRead;
    }

    public Long getIsRead()
    {
        return isRead;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("msgTitle", getMsgTitle())
            .append("msgType", getMsgType())
            .append("msgContent", getMsgContent())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("userId", getUserId())
            .append("isRead", getIsRead())
            .append("remark", getRemark())
            .toString();
    }
}
